### Constructor

# Gtk StringSorternew

#### Declaration [src]

    GtkStringSorter*
    gtk_string_sorter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new string sorter that compares items using the given `expression`.

Unless an expression is set on it, this sorter will always compare items as invalid.

#### Parameters

`expression`

  Type: `GtkExpression`

  The expression to evaluate.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkStringSorter`

A new `GtkStringSorter`

The caller of the function takes ownership of the data, and is responsible for freeing it.